Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl
Class P3SWRLTabPluginManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.P3SWRLTabPluginManager

    public class P3SWRLTabPluginManager

extends Object

This class provides mechanisms for Protege-OWL SWRLTab plugins to register themselves and to get screen real estate in the SWRLTab.

Documentation on using this class can be found here.

Constructor Summary
`P3SWRLTabPluginManager()`

Method Summary
`static Collection<P3SWRLTabPluginRegistrationRecord>` | `getRegisteredPlugins()`
`static String` | `getSelectedRuleName()`
`static boolean` | `hasSelectedRule()`
`static boolean` | `hidePlugin(String pluginName)`
`static void` | `hideVisiblePlugin()`
`static boolean` | `isVisible(String pluginName)`
`static void` | `loadPlugins()`
`static void` | `registerPlugin(String pluginName, String toolTip, Icon pluginIcon, Icon ruleEngineIcon, Icon reasonerIcon, P3SWRLTabPluginCreator plugin)` This method is called by each plugin as it is loaded to inform the SWRLTab of its presence.
`static void` | `registerPlugin(String pluginName, String ruleEngineName, String toolTip, Icon pluginIcon, Icon ruleEngineIcon, Icon reasonerIcon, P3SWRLTabPluginCreator plugin)` This method is called by each plugin as it is loaded to inform the SWRLTab of its presence.
`static void` | `setSelectedRuleName(String ruleName)`
`static void` | `showPlugin(String pluginName, SWRLTab swrlTab, OWLModel owlModel)`
`static void` | `unregisterPlugin(String pluginName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P3SWRLTabPluginManager

    public P3SWRLTabPluginManager()

Method Detail

### getSelectedRuleName

    public static String getSelectedRuleName()

### hasSelectedRule

    public static boolean hasSelectedRule()

### setSelectedRuleName

    public static void setSelectedRuleName(String ruleName)

### getRegisteredPlugins

    public static Collection<P3SWRLTabPluginRegistrationRecord> getRegisteredPlugins()

### hideVisiblePlugin

    public static void hideVisiblePlugin()

### hidePlugin

    public static boolean hidePlugin(String pluginName)

### isVisible

    public static boolean isVisible(String pluginName)

### registerPlugin

    public static void registerPlugin(String pluginName,
                                      String ruleEngineName,
                                      String toolTip,
                                      Icon pluginIcon,
                                      Icon ruleEngineIcon,
                                      Icon reasonerIcon,
                                      P3SWRLTabPluginCreator plugin)

  This method is called by each plugin as it is loaded to inform the SWRLTab of its presence.

### registerPlugin

    public static void registerPlugin(String pluginName,
                                      String toolTip,
                                      Icon pluginIcon,
                                      Icon ruleEngineIcon,
                                      Icon reasonerIcon,
                                      P3SWRLTabPluginCreator plugin)

  This method is called by each plugin as it is loaded to inform the SWRLTab of its presence. The application-default rule engine is picked. If no default is specified, the Drools rule engine is selected.

### unregisterPlugin

    public static void unregisterPlugin(String pluginName)

### showPlugin

    public static void showPlugin(String pluginName,
                                  SWRLTab swrlTab,
                                  OWLModel owlModel)

### loadPlugins

    public static void loadPlugins()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.